function newsList(){
	$("#newspage").load("news.html #news",function(data){
		$.get("http://xvm.garphy.com/?json=get_recent_posts&count=5&include=title,url,date",function(data,status){
			console.log(data);
			try{
				var list=data;
				for (var i in list.posts){
					var top=false;
					var post=list.posts[i];
					var ii=Number(i)+1;
					if(ii<list.posts.length&&post.id<list.posts[ii].id){
						top=true;
					}
					last=post.id;
					var nd = post.date.replace(/-/ig,'/'); 
					var date= new Date(nd); 
					$("#xvmnews").append("<div class='row'><div class='col-xs-7'><a target='_blank' href='"+post.url+"'>"+(top?"<i class='fa fa-star fa-fw' style='color:red;'></i>":"")+post.title+"</a></div><div class='col-xs-5'>["+date2str(date,"yyyy-MM-dd")+"]</div></div>");
				}
			} catch (e) {
				console.error("Parsing error:", e); 
				customAlert("XVM新闻无法解析","danger");
			}
		});
		$.get("http://wot.kongzhong.com/erji/launcher/launcher.xml", function(data){
			$(data).find('channel').find('item').each(function(index, ele){
				var titles = $(ele).find('title').text();
				var links = $(ele).find('link').text();
				var pubDate = $(ele).find('pubDate').text();
				var date= new Date(pubDate);
				$("#wotnews").append("<div class='row'><div class='col-xs-7'><a target='_blank' href='"+links+"'>"+titles+"</a></div><div class='col-xs-5'>["+date2str(date,"yyyy-MM-dd")+"]</div></div>");
			})
		});
        $.get("http://rank.kongzhong.com/ModDownload/action/NewsAction/getNews", function(data, status) {
            try{
                var newsjson = JSON.parse(data.toString());
                for ( var i in newsjson.newslist) {
                    var news = newsjson.newslist[i];
                    if (news.name == "") {
                        continue;
                    }
                    var tr = "<div class='row'><div class='col-xs-7'><a target='_blank' href='"
                        + news.url + "'>"
                        + news.name + "</div></div>";
                    if(news.type==0) {
                        $("#giftnews").append(tr);
                    }else if(news.type==1){
                        $("#tools").append(tr);
                    }
                }
            } catch (e) {
                console.log(e);
            }
        });
		$("#newspage").show();
	});
}